Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.tcpip.model.server
Class TCPIPServerMonitor

    java.lang.Object
      com.stc.connector.tcpip.model.server.TCPIPServerMonitor

All Implemented Interfaces:
  java.lang.Runnable, javax.resource.spi.work.Work

    public class TCPIPServerMonitor

extends java.lang.Object
implements javax.resource.spi.work.Work

TCPIP Server Monitor Work which is started from TCPIP Server ActivationSpec.

Version:
  cvs revision: $Revision: 1.7 $ Last Modified: $Date: 2008/03/03 15:36:00 $
Author:
  Harry Liu

Field Summary
`static java.lang.String` | `version`

Constructor Summary
`TCPIPServerMonitor(TCPIPServerMonitorTask monitorTask)` Creates a new instance of TCPIPServerMonitor

Method Summary
`TCPIPServerMonitorTask` | `getMonitorTask()` Returns the monitorTask.
`boolean` | `isRunning()` Returns the running.
`void` | `release()` The WorkManager might call this method to hint the active Work instance to complete execution as soon as possible.
`void` | `run()` When an object implementing interface Runnable is used to create a thread, starting the thread causes the object's run method to be called in that separately executing thread.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### version

    public static final java.lang.String version

See Also:
  Constant Field Values

Constructor Detail

### TCPIPServerMonitor

    public TCPIPServerMonitor(TCPIPServerMonitorTask monitorTask)

  Creates a new instance of TCPIPServerMonitor

  Parameters:
    `monitorTask` - The TCPIPServerMonitorTask.

Method Detail

### run

    public void run()

  When an object implementing interface Runnable is used to create a thread, starting the thread causes the object's run method to be called in that separately executing thread. The general contract of the method run is that it may take any action whatsoever.

  Specified by:
    `run` in interface `java.lang.Runnable`
  See Also:
    `Runnable.run()`

### release

    public void release()

  The WorkManager might call this method to hint the active Work instance to complete execution as soon as possible. This would be called on a separate thread other than the one currently executing the Work instance.

  Specified by:
    `release` in interface `javax.resource.spi.work.Work`
  See Also:
    `Work.release()`

### isRunning

    public boolean isRunning()

  Returns the running.

  Returns:
    boolean

### getMonitorTask

    public TCPIPServerMonitorTask getMonitorTask()

  Returns the monitorTask.

  Returns:
    TCPIPServerMonitorTask

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD